Bug 187792 - find command hard link warning on /
find command hard link warning on /
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 12:53 EDT by long
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description long 2006-04-03 12:53:43 EDT
Description of problem:
When find command is run it produces warning about /

Version-Release number of selected component (if applicable):
kernel-smp-2.6.16-1.2069_FC4

How reproducible:
find / -name crap

Steps to Reproduce:
1. Login as root
2. Run: find / -name crap
3.
  
Actual results:
[root@shibby /]# find / -name crap
find: WARNING: Hard link count is wrong for /: this may be a bug in your
filesystem driver.  Automatically turning on find's -noleaf option.  Earlier
results may have failed to include directories that should have been searched.


Expected results:
No output.

Additional info:
Similar to bug 162418. 

[root@shibby /]# ls -la /
total 201
drwxr-xr-x   25 root root  4096 Apr  3 07:51 .
drwxr-xr-x   25 root root  4096 Apr  3 07:51 ..
-rw-r--r--    1 root root     0 Apr  3 07:51 .autofsck
drwxr-xr-x    2 root root  4096 Mar 24  2005 .automount
drwx------    2 root root  4096 Feb  3 04:59 .mozilla
drwxr-xr-x    2 root root  4096 Apr  1 04:08 bin
drwxr-xr-x    4 root root  4096 Mar 30 05:26 boot
drwxr-xr-x   12 root root  4200 Apr  3 07:52 dev
drwxr-xr-x  118 root root 12288 Apr  3 07:52 etc
drwxr-xr-x    6 root root  4096 Dec 20 11:37 home
drwxr-xr-x   12 root root 12288 Mar 29 04:36 lib
drwx------    2 root root 16384 Dec 18 15:50 lost+found
drwxr-xr-x    4 root root  4096 Apr  3 07:52 media
drwxr-xr-x    2 root root  4096 Feb  3 05:35 misc
drwxr-xr-x    2 root root  4096 May 22  2005 mnt
drwxr-xr-x    2 root root  4096 May 22  2005 opt
dr-xr-xr-x   86 root root     0 Apr  3 07:51 proc
drwxr-x---   24 root root  4096 Apr  3 10:32 root
drwxr-xr-x    2 root root 12288 Apr  1 04:09 sbin
drwxr-xr-x    3 root root     0 Apr  3 07:51 selinux
drwxr-xr-x    2 root root  4096 May 22  2005 srv
drwxr-xr-x   11 root root     0 Apr  3 07:51 sys
drwxr-xr-x    3 root root  4096 Dec 18 17:09 tftpboot
drwxrwxrwt   36 root root  4096 Apr  3 11:52 tmp
drwxr-xr-x   14 root root  4096 Dec 18 16:03 usr
drwxr-xr-x   26 root root  4096 Dec 18 17:47 var

Did not happen with 2.6.15 kernel series.
Comment 1 Dave Jones 2006-09-16 23:16:43 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 20:29:41 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:01:43 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.